Update a form submission request Run in API Explorer
Ask AI
PUT
/api/v1/form/{form_uuid}/submission-request/{submissionRequest_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission-request/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"description": "Please can you submit your annual survey form"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"description": "Please can you submit your annual survey form"
}
Response examples (200)
{
"uuid": "c2fe450d-e6a6-4781-8d61-b1d47478e441",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"description": "Please submit your annual survey form",
"form": {
"uuid": "373a3490-32c1-4afa-8693-fc5b7d4425a5",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "f2dbd59a-3667-42ac-b5ec-e139ca0fa263",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"has_submission": true,
"submission": {
"uuid": "282bc986-bb3a-4693-83f5-46d983c65db6",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"stage": "draft",
"account": {
"uuid": "8d07cd91-bd4d-4bd1-bbde-b18d67214e1b",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-19T12:59:45+00:00",
"next_review_date": "2026-11-19T12:59:45+00:00",
"previous_review_date": "2026-11-19T12:59:45+00:00",
"anniversary_review_date": "2026-11-19T12:59:45+00:00",
"terms_of_business_at": "2026-11-19T12:59:45+00:00",
"client_agreement_at": "2026-11-19T12:59:45+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-19",
"last_interaction_at": "2026-11-19 12:59:45",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-19T12:59:45+00:00",
"out_of_office_until": "2026-11-19T12:59:45+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"request": {
"uuid": "a0b0983c-16ee-421b-87e9-fb445a046271",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"description": "Please submit your annual survey form",
"has_submission": true
},
"form": {
"uuid": "c900ecd1-c715-4816-824a-742cf10a9c72",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
},
"receiver": {
"uuid": "af37f545-fe64-49e3-8479-668d66d7a693",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}